#ifndef HYPERX_ELITE2_H_
#define HYPERX_ELITE2_H_

#define LDR_PIN				28
#define LDR_ADC				2
#define LDR_OFF_THRESHOLD	500
#define LDR_ON_THRESHOLD	400

enum
{
	HYPERX_KEYBOARD_VID		= 0x0951,
	HYPERX_ELITE2_PID		= 0x1711,
	NUM_KEYS				= 128,
	BUF_SIZE				= 64,
	NUM_PACKETS				= 10,
};

void get_light();
void rgb_task(uint8_t dev_addr);
void startADC();
bool forward_report(uint8_t instance, uint8_t const* report, uint16_t len);

#endif
